Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define oldname python-blessings
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define fedora 19
%global upstream_name blessings

%if 0%{?fedora} || 0%{?rhel} > 6
%bcond_without python3
%else
%bcond_with python3
%endif

Name:           python-module-blessings
Version:        1.5
Release:        alt2_2
Summary:        Python library for terminal coloring, styling, and positioning
License:        MIT
URL:            https://github.com/erikrose/blessings
Source0:        http://pypi.python.org/packages/source/b/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
# https://github.com/erikrose/blessings/issues/25
Patch0:         blessings-1.5-tests-without-tty.patch
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-nose
%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-nose
%endif
Source44: import.info

%description
Blessings is a thin, practical wrapper around terminal coloring, styling, and 
positioning in Python.

%if %{with python3}
%package -n python3-module-blessings
Group: Other
Summary:        Python library for terminal coloring, styling, and positioning

%description -n python3-module-blessings
Blessings is a thin, practical wrapper around terminal coloring, styling, and 
positioning in Python.
%endif

%prep
%setup -q -n %{upstream_name}-%{version}
%patch0 -p1
rm -rf blessings.egg-info

%if %{with python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif

%build
%{__python} setup.py build

%if %{with python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build
popd
%endif

%install
%if %{with python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc README.rst LICENSE
%{python_sitelibdir_noarch}/blessings
%{python_sitelibdir_noarch}/blessings*.egg-info

%if %{with python3}
%files -n python3-module-blessings
%doc README.rst LICENSE
%{python3_sitelibdir_noarch}/blessings
%{python3_sitelibdir_noarch}/blessings*.egg-info
%endif

%changelog
* Mon Apr 01 2013 Cronbuild Service <cronbuild@altlinux.org> 1.5-alt2_2
- rebuild to get rid of unmets

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_2
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_1
- initial fc import

